import { FileContext } from "@wix/wix-code-common";
export declare const WIX_CODE_TYPES_MODULE_NAME = "wix-code-types";
export declare const TARGET_ES_LIB = "ES2020";
export declare const WEB_WORKER_LIB = "WebWorker";
export declare const DEST_TYPES_DIR_COMMON = "common";
export declare const DEST_TYPES_DIR_NODE = "node";
export declare const DEST_BETA_TYPES_DIR = "beta";
export type DestTypesDir = FileContext | typeof DEST_TYPES_DIR_COMMON;
export declare const DEST_JSONS_PATH: string;
export declare const COMPONENTS_DATA_JSON_FILENAME = "componentsData.json";
export declare const FULL_WIX_CODE_DECLARATION_FILENAME = "fullWixCodeTypes.json";
export declare const FULL_WIX_CODE_DECLARATION_BETA_FILENAME = "fullWixCodeTypes.beta.json";
export declare const MODEL_JSON_FILENAME = "model.json";
export declare const WIX_CODE_DOCS_REMOTE = "https://github.com/wix/wix-code-docs.git";
export declare const WIX_PACKAGE_IMPORT_PREFIX = "wix-";
declare const _default: {
    WIX_PRIVATE_NPM_REGISTRY: string;
    TARGET_ES_LIB: string;
    WEB_WORKER_LIB: string;
    $W_MODULE_NAME: string;
    $W_GLOBAL_COMMENTS: {
        DECLARATION_COMMENT: string;
        NAMESPACE_COMMENT: string;
        $W_TYPE_DECLARATION_COMMENT: string;
    };
    $W_MEMBERS_KEY: string;
    QUERYABLE_TYPE: string;
    DIST_BUILD_FOLDER: string;
    DEST_TYPES_PATH: string;
    DEST_JSONS_PATH: string;
    TYPE_TEMPLATES_FOLDER: string;
    TYPES_COMMON_PATH: string;
    BETA_TYPES_COMMON_PATH: string;
    TYPES_BACKEND_PATH: string;
    TYPES_PAGES_PATH: string;
    TYPES_PUBLIC_PATH: string;
    TYPES_NODE_PATH: string;
    DOCWORKS_DTS_COMMON_PATH: string;
    DOCWORKS_DTS_COMMON_BETA_PATH: string;
    DOCWORKS_DTS_PUBLIC_PATH: string;
    DOCWORKS_DTS_BACKEND_PATH: string;
    DOCWORKS_DTS_PAGES_PATH: string;
    DOCWORKS_DTS_FILENAME: string;
    COMPONENTS_DATA_JSON_FILENAME: string;
    $W_DECLARATION_FULL_FILENAME: string;
    FULL_WIX_CODE_DECLARATION_FILENAME: string;
    FULL_WIX_CODE_DECLARATION_BETA_FILENAME: string;
    TS_CONFIG_PATHS: {
        BACKEND: string;
        PUBLIC: string;
        PAGE: string;
    };
    TS_CONFIG_BETA_PATHS: {
        BACKEND: string;
        PUBLIC: string;
        PAGE: string;
    };
    WIX_PACKAGES_DTS_FILENAME: string;
    WIX_CODE_DOCS_REMOTE: string;
    MODEL_JSON_FILENAME: string;
    PACKAGE_JSON: string;
    MODULES_TO_IGNORE: string[];
    FileContext: typeof FileContext;
    DEST_TYPES_DIR_COMMON: string;
    DEST_BETA_TYPES_DIR: string;
    WIX_CODE_TYPES_MODULE_NAME: string;
};
export default _default;
//# sourceMappingURL=constants.d.ts.map